Bug 1121685 - [GSS] (6.4.0) Setting String property to null on a Message breaks XMLExporter tool
Summary: [GSS] (6.4.0) Setting String property to null on a Message breaks XMLExporter...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR1
: EAP 6.4.0
Assignee: Justin Bertram
QA Contact: Martin Svehla
URL:
Whiteboard:
Depends On:
Blocks: 1132168 1132172
TreeView+ depends on / blocked
 
Reported: 2014-07-21 15:14 UTC by Tom Ross
Modified: 2019-08-19 12:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121680
: 1132172 (view as bug list)
Environment:
Last Closed: 2019-08-19 12:38:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1370 Major Closed Setting String property to null on a Message breaks XMLExporter tool 2016-05-30 11:36:12 UTC

Description Tom Ross 2014-07-21 15:14:32 UTC
+++ This bug was initially created as a clone of Bug #1121680 +++

Setting the value of a String property on a message
message.setStringProperty("source_env_version", null)
beaks the XMLExporter tool.

Comment 1 Justin Bertram 2014-07-21 15:25:30 UTC
This was fixed on the 2.4.x branch of HornetQ via commit 8de65436ceca593d546e803a49d548c502049040.

Comment 2 JBoss JIRA Server 2014-07-21 15:37:35 UTC
Justin Bertram <jbertram@redhat.com> updated the status of jira HORNETQ-1370 to Resolved

Comment 3 JBoss JIRA Server 2014-07-21 16:37:44 UTC
Clebert Suconic <clebert.suconic@jboss.com> updated the status of jira HORNETQ-1370 to Closed

Comment 4 Justin Bertram 2014-07-22 19:22:13 UTC
This was fixed on the 2.3.x branch of HornetQ via commit 31b299d43eb2b6dfc5db3ba304f9b57d457c646b.

Comment 5 Kabir Khan 2014-08-24 10:58:40 UTC
Appears to be fixed by HQ upgrade to 2.3.21 https://bugzilla.redhat.com/show_bug.cgi?id=1132168. Setting to MODIFIED.

Comment 6 Martin Svehla 2014-09-17 12:40:03 UTC
Verified in EAP 6.4.0.DR1.1


Note You need to log in before you can comment on or make changes to this bug.